Hi All,

Just installed 2.1.7 onto a server and have found myself in perl dependency hell.


First I tried to start 2.1.7 and got:

Starting psad: /usr/bin/perl: symbol lookup error: /usr/lib/psad/0/auto/Date/Calc/Calc.so: undefined symbol: Perl_Istack_sp_ptr

OK, I figured a quick n dirty fix, I moved the offending lib out of the way and copied one from my own perl across. Which gave rise to this:

Starting psad: /usr/bin/perl: symbol lookup error: /usr/lib/psad/0/auto/Unix/Syslog/Syslog.so: undefined symbol: Perl_Istack_sp_ptr

No problem, let's try the quick n dirty again, backup the old and copy a new one......

Now I get:

Starting psad: Unix::Syslog object version 1.1 does not match bootstrap parameter 0.100 at /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/DynaLoader.pm line 253.
Compilation failed in require at /usr/sbin/psad line 2670.

If anyone can help me resolve this it'd be hugely helpful, never experienced any dependency issues with this software before.

Cheers

T.
------------------------------------------------------------------------------
This SF.net Dev2Dev email is sponsored by:

Show off your parallel programming skills.
Enter the Intel(R) Threading Challenge 2010.
http://p.sf.net/sfu/intel-thread-sfd
_______________________________________________
psad-discuss mailing list
psad-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/psad-discuss

Reply via email to